# Generated by Django 2.0.5 on 2018-05-24 09:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='deliveries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('innings', models.IntegerField()),
                ('batting_team', models.CharField(max_length=150)),
                ('bowling_team', models.CharField(max_length=150)),
                ('over', models.IntegerField()),
                ('ball', models.IntegerField()),
                ('batsman', models.CharField(max_length=150)),
                ('non_striker', models.CharField(max_length=150)),
                ('bowler', models.CharField(max_length=150)),
                ('is_super_over', models.CharField(max_length=150)),
                ('wide_rund', models.IntegerField()),
                ('bye_runs', models.IntegerField()),
                ('legby_runs', models.IntegerField()),
                ('noball_runs', models.IntegerField()),
                ('panalty_runs', models.IntegerField()),
                ('batsman_runs', models.IntegerField()),
                ('extra_runs', models.IntegerField()),
                ('total_runs', models.IntegerField()),
                ('player_dismissed', models.IntegerField()),
                ('dismissied_kind', models.CharField(max_length=100)),
                ('fielder', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='matches',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('season', models.IntegerField()),
                ('city', models.CharField(max_length=25)),
                ('date', models.DateField()),
                ('team1', models.CharField(max_length=150)),
                ('team2', models.CharField(max_length=150)),
                ('toss_winner', models.CharField(max_length=150)),
                ('toss_decision', models.CharField(max_length=10)),
                ('result', models.CharField(max_length=10)),
                ('dl_applied', models.IntegerField()),
                ('winner', models.CharField(max_length=150)),
                ('win_by_run', models.IntegerField()),
                ('win_by_wickets', models.IntegerField()),
                ('player_of_match', models.CharField(max_length=150)),
                ('venue', models.CharField(max_length=200)),
                ('umpire1', models.CharField(max_length=100)),
                ('umpire2', models.CharField(max_length=100)),
            ],
        ),
        migrations.AddField(
            model_name='deliveries',
            name='match_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ipl.matches'),
        ),
    ]
